{
  modulesPath,
  lib,
  pkgs,
  self,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = false;
    };
    kernelPackages = self.inputs.rpi_5.legacyPackages.aarch64-linux.linuxPackages_rpi5;
    kernelModules = [ ];
    initrd = {
      availableKernelModules = [ "usbhid" "usb_storage" ];
      kernelModules = [ ];
    };
  };


  networking = {
    useDHCP = lib.mkDefault true;
    wireless.iwd = {
      enable = true;
      settings.General.EnableNetworkConfiguration = true;
    };
    firewall.enable = false;
  };

  environment.systemPackages = with pkgs; [
    vim
    curl
    git
  ];

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/1c06cdf2-126c-41dc-b8bd-b441856d5e98";
      fsType = "ext4";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/DAE3-FBD2";
      fsType = "vfat";
    };
  };

  powerManagement.cpuFreqGovernor = "ondemand";
}
